Debian Bug report logs - #642719
komparator: FTBFS: validity error : No declaration for element

version graph

Package: src:komparator; Maintainer for src:komparator is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>;

Reported by: Mònica Ramírez Arceda <monica@probeta.net>

Date: Sat, 24 Sep 2011 18:48:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version komparator/1:0.3-1

Fixed in version komparator/4:0.6-1

Done: Mark Purcell <msp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#642719; Package src:komparator. (Sat, 24 Sep 2011 18:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
New Bug report received and forwarded. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Sat, 24 Sep 2011 18:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: submit@bugs.debian.org
Subject: komparator: FTBFS: validity error : No declaration for element
Date: Sat, 24 Sep 2011 20:43:41 +0200
Source: komparator
Version: 1:0.3-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110923 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:

> Generating kdatecombo.moc
> index.docbook:8: warning: failed to load external entity "dtd/kdex.dtd"
> ]>
>   ^
> index.docbook:10: parser error : Entity 'language' not defined
> <book lang="&language;">
>                       ^
> index.docbook:10: element book: validity error : No declaration for attribute lang of element book
> <book lang="&language;">
>                        ^
> index.docbook:13: element application: validity error : No declaration for element application
> <title>The &komparator4; Handbook</title>
>                         ^
> index.docbook:13: element title: validity error : No declaration for element title
> <title>The &komparator4; Handbook</title>
>                                          ^
> index.docbook:17: element firstname: validity error : No declaration for element firstname
> <firstname></firstname>
>                        ^
> index.docbook:18: element othername: validity error : No declaration for element othername
> <othername></othername>
>                        ^
...

> index.docbook:1017: element title: validity error : No declaration for element title
> <title>How to obtain &komparator4;</title>
>                                           ^
> index.docbook:1020: element ulink: validity error : No declaration for attribute url of element ulink
> n be downloaded from the <ulink url="http://sourceforge.net/projects/komparator"
>                                                                                ^
> index.docbook:1021: element ulink: validity error : No declaration for element ulink
> Sourceforge project page</ulink>.
>                                 ^
> index.docbook:1022: element para: validity error : No declaration for element para
> </para>
>        ^
> index.docbook:1025: element ulink: validity error : No declaration for attribute url of element ulink
> For news or bug reports visit the <ulink url="http://komparator.sourceforge.net"
>                                                                                ^
> index.docbook:1026: element ulink: validity error : No declaration for element ulink
> &komparator4; sourceforge home page</ulink>.
>                                            ^
> index.docbook:1027: element para: validity error : No declaration for element para
> </para>
>        ^
> index.docbook:1029: element sect1: validity error : No declaration for element sect1
> </sect1>
>         ^
> index.docbook:1031: element sect1: validity error : No declaration for attribute id of element sect1
> <sect1 id="requirements">
>                         ^
> index.docbook:1032: element title: validity error : No declaration for element title
> <title>Requirements</title>
>                            ^
> index.docbook:1046: parser error : Entity 'kde' not defined
> In order to use &komparator4;, you need &kde; 4.3 or higher.
>                                              ^
> index.docbook:1047: element para: validity error : No declaration for element para
> </para>
>        ^
> index.docbook:1049: element sect1: validity error : No declaration for element sect1
> </sect1>
>         ^
> index.docbook:1051: element sect1: validity error : No declaration for attribute id of element sect1
> <sect1 id="compilation">
>                        ^
> index.docbook:1052: element title: validity error : No declaration for element title
> <title>Compilation and Installation</title>
>                                            ^
> index.docbook:1054: parser error : Entity 'install.compile.documentation' not defined
> &install.compile.documentation;
>                                ^
> index.docbook:1056: element sect1: validity error : No declaration for element sect1
> </sect1>
>         ^
> index.docbook:1058: element appendix: validity error : No declaration for element appendix
> </appendix>
>            ^
> index.docbook:1060: parser error : Entity 'documentation.index' not defined
> &documentation.index;
>                      ^
> index.docbook:1061: element book: validity error : No declaration for element book
> </book>
>        ^
> make[3]: *** [doc/index.cache.bz2] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/09/23/komparator_1:0.3-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Added tag(s) pending. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 02:15:06 GMT) Full text and rfc822 format available.

Reply sent to Mark Purcell <msp@debian.org>:
You have taken responsibility. (Sun, 13 Nov 2011 04:39:10 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sun, 13 Nov 2011 04:39:11 GMT) Full text and rfc822 format available.

Message #12 received at 642719-close@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 642719-close@bugs.debian.org
Subject: Bug#642719: fixed in komparator 4:0.6-1
Date: Sun, 13 Nov 2011 04:35:10 +0000
Source: komparator
Source-Version: 4:0.6-1

We believe that the bug you reported is fixed in the latest version of
komparator, which is due to be installed in the Debian FTP archive:

komparator_0.6-1.debian.tar.gz
  to main/k/komparator/komparator_0.6-1.debian.tar.gz
komparator_0.6-1.dsc
  to main/k/komparator/komparator_0.6-1.dsc
komparator_0.6-1_amd64.deb
  to main/k/komparator/komparator_0.6-1_amd64.deb
komparator_0.6.orig.tar.bz2
  to main/k/komparator/komparator_0.6.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642719@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <msp@debian.org> (supplier of updated komparator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Nov 2011 13:12:00 +1100
Source: komparator
Binary: komparator
Architecture: source amd64
Version: 4:0.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Mark Purcell <msp@debian.org>
Description: 
 komparator - directories comparator for KDE
Closes: 640956 642719
Changes: 
 komparator (4:0.6-1) unstable; urgency=low
 .
   * New upstream release
     - Fixes "FTBFS: index.docbook:1061: element book: validity error : No
     declaration for element book" (Closes: #640956)
     - Fixes "FTBFS: No declaration for element" (Closes: #642719)
   * Add debian/watch for kde-apps
Checksums-Sha1: 
 54cb067f90a378619ecac4d22eebb1e1ef4ecd54 1408 komparator_0.6-1.dsc
 65d1240dea34479b9d4f12b3551cee44c2be51bb 472812 komparator_0.6.orig.tar.bz2
 89999ef16900023496813a58a6a186c2cd66fb02 4170 komparator_0.6-1.debian.tar.gz
 c05df584cdf0ba24ef18cbfee5acc3532de842bb 646864 komparator_0.6-1_amd64.deb
Checksums-Sha256: 
 1d9b2427c01f2e0a01586605a63ddf8cd02ab28fcb30c669d59c69b0c3754268 1408 komparator_0.6-1.dsc
 eb08f83dfaa2d0cea4931c7d0ff7867f332fc3f929a37fb43e1e7558c25da92a 472812 komparator_0.6.orig.tar.bz2
 b3e6f15a49921db86c0bbe5a9b3d214faeaba5d47c4df428924fa073e948a906 4170 komparator_0.6-1.debian.tar.gz
 04219b82b6ee808bd0809bd4c1cc67e740d3ed76170dbe59694cd5a1e9221c5b 646864 komparator_0.6-1_amd64.deb
Files: 
 0b9cd3150bdc0c8a7866c16f85427f85 1408 kde optional komparator_0.6-1.dsc
 3085fda6bc02e3b99f37e0d32929b053 472812 kde optional komparator_0.6.orig.tar.bz2
 b6efc7302b09f5b79ecedc9e8c0b932d 4170 kde optional komparator_0.6-1.debian.tar.gz
 8ef3a83e8c253eb7127bae9ce131f8d7 646864 kde optional komparator_0.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6/KKYACgkQoCzanz0IthJ9qQCgniMnjiqsJcKwvgzRW1JHW47v
a5YAniOvvTWTcUc1e7zVvBZLkLdu/wdG
=/LjK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:55:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:19:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.